
#Creating the bivariate distribution
library(mvtnorm)
x <- seq(610, 1227, by= 1)
y <- seq(-2,12,length=length(x))

#rho<-1
mu.x<-921
mu.y<-5

s.x<-100^2
s.y<-3^2
s.xy<-15^2


z<-array(0,dim=c(length(x),length(y)))
Sigma<- matrix(c(s.x,s.xy,s.xy, s.y), 2)

for (i in 1:length(x)){
      for (j in 1:length(y)){
        z[i,j]<-dmvnorm(x=c(x[i],y[j]),mean=c(921,5),sigma=Sigma)
      }
    }

contour(x,y,z,xlab="MPH", ylab="Radial Accuracy",main="F-35 Speed vs Accuracy")
abline(v=mu.x)
abline(h=mu.y)




#Gibbs Sampling at work
B<-10000
pts<-matrix(0,ncol=2,nrow=B)

mu.x<-921
mu.y<-5

s.x<-100^2
s.y<-3^2
s.xy<-15^2

mph<-0
rad<-0
B<-10000
pts<-matrix(0,ncol=2,nrow=B)
pts[1,]<-c(mph,rad)
for (i in 2:B) {
                #x <- rnorm(1, mu.x+rho *(s.y/s.x)*(y-init.mu.y), sqrt(s.y^2*(1 - rho^2)))
                #y <- rnorm(1, mu.y+rho *(s.x/s.y)*(x-mu.x), sqrt(s.x^2*(1 - rho^2)))
			mph<-rnorm(1,mu.x+s.xy*solve(s.y)*(rad-mu.y),sqrt(s.x-s.xy*solve(s.y)*s.xy))
			rad<-rnorm(1,mu.y+s.xy*solve(s.x)*(mph-mu.x),sqrt(s.y-s.xy*solve(s.x)*s.xy))
			
                pts[i, ] <- c(mph, rad)
        }



#showing the markov chain work
contour(x,y,z,xlab="MPH", ylab="Radial Accuracy",main="F-35 Speed vs Accuracy")
abline(v=mu.x)
abline(h=mu.y)

for(i in 2:1000){

    		points(pts[i-1,1],pts[i-1,2],pch=16)
		#Sys.sleep(1)
		time<-Sys.time()
		while(Sys.time()<time+1/sqrt(i)){}
            lines(c(pts[i-1,1], pts[i,1]), c(pts[i-1,2], pts[i-1,2]))
		time<-Sys.time()
		while(Sys.time()<time+1/sqrt(i)){}


		points(pts[i,1],pts[i-1,2],pch=16)
            time<-Sys.time()
		while(Sys.time()<time+1/sqrt(i)){}

		lines(c(pts[i,1], pts[i,1]), c(pts[i-1,2], pts[i,2]))
		time<-Sys.time()
		while(Sys.time()<time+1/sqrt(i)){}



}

#with just the points
contour(x,y,z,xlab="MPH", ylab="Radial Accuracy",main="F-35 Speed vs Accuracy")
abline(v=mu.x)
abline(h=mu.y)


for(i in 2:10000){

    		points(pts[i-1,1],pts[i-1,2],pch=16)
		
		points(pts[i,1],pts[i-1,2],pch=16)
            


}

